%define upstream_name    IO-HTML
%define upstream_version 1.004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Open an HTML file with automatic charset detection
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Encode) >= 2.100.0
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
IO::HTML provides an easy way to open a file containing HTML while
automatically determining its encoding. It uses the HTML5 encoding sniffing
algorithm specified in section 8.2.2.1 of the draft standard.

The algorithm as implemented here is:

* 1.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.4.0-2.mga9
+ Revision: 1813281
- Mageia 9 Mass Rebuild

* Sun Sep 27 2020 tv <tv> 1.4.0-1.mga8
+ Revision: 1630756
- update to 1.004

* Wed Feb 12 2020 umeabot <umeabot> 1.1.0-8.mga8
+ Revision: 1495128
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.1.0-7.mga7
+ Revision: 1268774
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.1.0-6.mga6
+ Revision: 1028708
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.1.0-5.mga6
+ Revision: 949729
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.1.0-4.mga5
+ Revision: 790395
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-3.mga5
+ Revision: 747414
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.0-2.mga5
+ Revision: 685062
- Mageia 5 Mass Rebuild

* Tue Jul 01 2014 sander85 <sander85> 1.1.0-1.mga5
+ Revision: 641826
- update to 1.001

* Sat Oct 19 2013 umeabot <umeabot> 1.0.0-2.mga4
+ Revision: 525965
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 kharec <kharec> 1.0.0-1.mga4
+ Revision: 435003
- update to 1.00

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 368516
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 jquelin <jquelin> 0.40.0-1.mga3
+ Revision: 301267
- imported package perl-IO-HTML


* Mon Oct 01 2012 cpan2dist 0.04-1mga
- initial mageia release, generated with cpan2dist
